/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#if !defined(NEXT_ROM_H)
#define NEXT_ROM_H

#include <device.h>
#include <stdio.h>
#include <stdlib.h>
#include "comb_decomp.h"
#include "sfrs.h"


uint8 next_ex_ROM(void) {
	extern volatile uint16 globalPc;
	uint8 pcl = 0;
	uint8 pch = 0;

	pch = decomp_high(globalPc);
	pcl = decomp_low(globalPc);
	Xaccess_Write(0x00);
	ADD_low_Write(pcl);
	ADD_high_Write(pch);
	globalPc++;
	
	while(!byte_ready_Read())
	{}

	return byte_out_Read();
}

#endif

//[] END OF FILE
